Obtener o crear un contacto por número telefónico
POST
/contacts/get-contact
const url = 'https://api.matiasimpulso.com/contacts/get-contact';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"searchParam":"search term","page":1,"limit":25,"skip":0,"dir":"asc","query":"example","search":"example","searchQuery":"example","name":"example","number":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/contacts/get-contact \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "searchParam": "search term", "page": 1, "limit": 25, "skip": 0, "dir": "asc", "query": "example", "search": "example", "searchQuery": "example", "name": "example", "number": "example" }'Busca un contacto existente por su número en la empresa o lo crea automáticamente si no existe.
Authorizations
Sección titulada « Authorizations »Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
searchParam
Search parameter for filtering results
string
Example
search term page
Page number for pagination
number
Example
1 limit
Number of items per page
number
Example
25 skip
Number of items to skip
number
Example
0 dir
Sort direction
string
Example
asc query
Alias de searchParam
string
search
Alias de searchParam
string
searchQuery
Alias de searchParam
string
name
string
number
string
Responses
Sección titulada « Responses »Contacto encontrado o creado correctamente
Número telefónico faltante o inválido